<template>
  <div id="theApp">
    <Header id="theHeader"></Header>

    <main id="theContent" class="admin-section">
      <div v-if="!isLive" class="position-fixed">dev:{{ currentProfile }}</div>
      <AdminMenu></AdminMenu>
      <nuxt />
    </main>

    <Footer></Footer>
  </div>
</template>

<script>
import Header from './partials/Header';
import Footer from './partials/Footer';
import AdminMenu from '~/components/admin/AdminMenu';
import InternetExplorerMixin from '~/components/mixins/InternetExplorerMixin';
import WebPSupport from '~/components/mixins/WebPSupport';

export default {
  components: {
    Header,
    Footer,
    AdminMenu,
  },
  mixins: [InternetExplorerMixin, WebPSupport],
  head() {
    return {
      title: this.$t('website.title'),
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: this.$t('website.meta.description'),
        },
      ],
    };
  },
  computed: {
    isLive() {
      return process.env.profile === 'live';
    },
    currentProfile() {
      return process.env.profile;
    },
  },
};
</script>
